Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.java.control.gui
Class ClassFilter

    java.lang.Object
      org.apache.jmeter.protocol.java.control.gui.ClassFilter

public class ClassFilter
extends Object

Field Summary
`protected String[]` | `pkgs`

Constructor Summary
`ClassFilter()`

Method Summary
`void` | `addPackage(String pkg)`
`Object[]` | `filterArray(List items)`
`boolean` | `include(String text)`
`void` | `setPackges(String[] pk)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pkgs

    protected String[] pkgs

Constructor Detail

### ClassFilter

    public ClassFilter()

Method Detail

### setPackges

    public void setPackges(String[] pk)

### addPackage

    public void addPackage(String pkg)

### include

    public boolean include(String text)

### filterArray

    public Object[] filterArray(List items)

### size

    public int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.